]> git.saurik.com Git - wxWidgets.git/commitdiff
more build tweaks
authorRobin Dunn <robin@alldunn.com>
Fri, 6 Aug 2004 00:02:02 +0000 (00:02 +0000)
committerRobin Dunn <robin@alldunn.com>
Fri, 6 Aug 2004 00:02:02 +0000 (00:02 +0000)
git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@28650 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775

wxPython/distrib/all/build-all
wxPython/distrib/all/build-linux
wxPython/distrib/all/build-osx
wxPython/distrib/all/release [new file with mode: 0755]

index e224ebce19571f4808c240b85604a7e5fd50fe24..f4613470947f29606542ebc900993e3909596be2 100755 (executable)
@@ -218,11 +218,11 @@ function DoOSXBuild {
     # test if the target machine is online
     if ping -q -c1 -w1 $host > /dev/null; then
        echo "-----------------------------------------------------------------"
     # test if the target machine is online
     if ping -q -c1 -w1 $host > /dev/null; then
        echo "-----------------------------------------------------------------"
-       echo " The $host machine is online, build continuing..."
+       echo " The $host machine is online, OSX-$flavor build continuing..."
        echo "-----------------------------------------------------------------"
     else
        echo "-----------------------------------------------------------------"
        echo "-----------------------------------------------------------------"
     else
        echo "-----------------------------------------------------------------"
-       echo "The $host machine is offline, skipping the OSX $flavor build."
+       echo "The $host machine is offline, skipping the OSX-$flavor build."
        echo "-----------------------------------------------------------------"
        return 0
     fi
        echo "-----------------------------------------------------------------"
        return 0
     fi
@@ -230,7 +230,7 @@ function DoOSXBuild {
     echo "-=-=- Starting OSX-$flavor build on $host..."
 
     echo "Copying source files and build script..."
     echo "-=-=- Starting OSX-$flavor build on $host..."
 
     echo "Copying source files and build script..."
-    ssh $host "mkdir -p $OSX_BUILD && rm -rf $OSX_BUILD/*"
+    ssh root@$host "mkdir -p $OSX_BUILD && rm -rf $OSX_BUILD/* || true"
     scp $STAGING_DIR/wxPythonSrc-$VERSION.tar.gz \
        $STAGING_DIR/wxPythonDocs-$VERSION.tar.gz \
        $STAGING_DIR/wxPythonDemo-$VERSION.tar.gz \
     scp $STAGING_DIR/wxPythonSrc-$VERSION.tar.gz \
        $STAGING_DIR/wxPythonDocs-$VERSION.tar.gz \
        $STAGING_DIR/wxPythonDemo-$VERSION.tar.gz \
index 67d3e28c558ef52f473abf37e6055384ba1fb54c..cb2a02b70e6bdecb14823be29d12d1778c8a955f 100755 (executable)
@@ -18,7 +18,7 @@ set -o errexit
 
 echo "-=-=-=-  Hello from $HOSTNAME  -=-=-=-"
 
 
 echo "-=-=-=-  Hello from $HOSTNAME  -=-=-=-"
 
-if [ $# -lt 4]; then
+if [ $# -lt 4 ]; then
     echo "Usage: $0 WXDIR DESTDIR SKIPCLEAN VERSION PYVER..."
     exit 1
 fi
     echo "Usage: $0 WXDIR DESTDIR SKIPCLEAN VERSION PYVER..."
     exit 1
 fi
index 04eff1e0163c7958b312897cf6195bb801f7e3da..112aacadd08a0fd9851a7df081d0586aaa0de4b6 100755 (executable)
@@ -33,7 +33,7 @@ shift;shift;shift;shift;shift
 PYVER=$@
 
 
 PYVER=$@
 
 
-export PATH=/sw/bin:$PATH
+export PATH=/sw/bin:/usr/local/bin:$PATH
 
 
 # untar the source 
 
 
 # untar the source 
diff --git a/wxPython/distrib/all/release b/wxPython/distrib/all/release
new file mode 100755 (executable)
index 0000000..e76295c
--- /dev/null
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+distrib/all/build-all release $* 2>&1 | tee daily.log
+